

#include "CApp.h"

#include <iostream>
#include <math.h>

using namespace std;

CApp::CApp() {
	S_Renderer = NULL;
	S_Window = NULL;

	//windowwidth = 1024;
	//windowheight = 768;
	windowwidth = 1460;
	windowheight = 980;

	frames_since_sec = 0;
	last_time = 0;
	first_tick = true;

	Running = true;
}

int CApp::OnExecute() {
	if(OnInit() == false) {
		return -1;
	}

	SDL_Event Event;


	while(Running) {
		while(SDL_PollEvent(&Event)) {
			OnEvent(&Event);
		}

		OnLoop();

		OnRender();
		SDL_Delay(15);
	}

	OnCleanup();

	return 0;
}


int main(int argc, char* argv[]) {

	CApp theApp;

	return theApp.OnExecute();
}
