#ifndef _WORLDOBJECTCOLLECTION_H_
	#define _WORLDOBJECTCOLLECTION_H_

#include <map>
#include <forward_list>
#include <vector>

class RealmWorldObject;

class WorldObjectCollection {
	private:

		std::multimap<long, RealmWorldObject*> YIndexedObjects;
		std::multimap<long, RealmWorldObject*> XIndexedObjects;
		std::forward_list<RealmWorldObject*> WorldObjects;

	public:
		void addObject(RealmWorldObject* o);

		void getRange(long minx, long miny, long maxx, long maxy,
			std::vector<RealmWorldObject*> &result_set
		);

};

#endif // _WORLDOBJECTCOLLECTION_H_
