
#include "CApp.h"
#include <time.h>


bool CApp::OnInit() {
	if(SDL_Init(SDL_INIT_EVERYTHING) < 0) {
		return false;
	}

	if (SDL_CreateWindowAndRenderer(windowwidth, windowheight, 0, &S_Window, &S_Renderer) != 0) {
		return false;
	}

	start_time = time(NULL);

	screencenter.setx(windowwidth / 2);
	screencenter.sety(windowheight / 2);

	view = new RealmView(screencenter, windowwidth, windowheight);

	view->init();

	return true;
}

