

#ifndef _RGBCOLOR_H_
	#define _RGBCOLOR_H_

#include <SDL2/SDL.h>

class RGBColor {
	private:
		int red, green, blue;
		int alpha;

	public:
		RGBColor() {red = green = blue = 0; alpha = SDL_ALPHA_OPAQUE; }
		RGBColor( int r, int g, int b) { red=r; green=g; blue=b; alpha = SDL_ALPHA_OPAQUE; }
		RGBColor( int r, int g, int b, int a) { red=r; green=g; blue=b; alpha = a;}
		int getred() { return red; }
		int getgreen() { return green; }
		int getblue() { return blue; }
		int getAlpha() { return alpha; }
		void setred(int r) { red = r; }
		void setgreen(int g) { green=g; }
		void setblue(int b) { blue=b; }
		void setAlpha(int a) { alpha = a; }
		void set(int r, int g, int b) { red = r ; green = g; blue = b; }
		void set(int r, int g, int b, int a) { red = r ; green = g; blue = b; alpha = a; }
};

#endif
