#ifndef __REALMCHARACTERGROUP_H
    #define __REALMCHARACTERGROUP_H

#include <vector>
#include "RealmCharacterObject.h"
#include "RealmLocation.h"
#include "RealmObjectType.h"

class RealmView;
class RealmCharacterGroupPositioner;
class SDL_Renderer;

class RealmCharacterGroup {
	private:
		std::vector<RealmCharacterObject> Members;
		int Order[7];
		RealmObjectType CharacterTypes[6];
		RealmView* MasterView;
		RealmCharacterGroupPositioner* Positioner;

	public:
		RealmCharacterGroup(RealmView* master_view);
		RealmCharacterGroupPositioner* getPositioner() { return Positioner; }

		void update();
		void draw(SDL_Renderer* renderer);
};

#endif // __REALMCHARACTERGROUP_H


