#include "RealmCoordinateDisplay.h"
#include <SDL2/SDL2_gfxPrimitives.h>


void RealmCoordinateDisplay::draw(SDL_Renderer *renderer) {
	int startposx = Center.getx() % BaseRadius;
	int startposy = Center.gety() % BaseRadius;
	int rad = 5;
	unsigned char red = 200, green = 100, blue = 166, alpha = 255;

	if (BaseRadius < 40)
		rad = BaseRadius / 10;
	if (!(BaseRadius > 0))
		rad = 1;


	for (int posy = startposy; posy < ScreenSize.gety(); posy += BaseRadius) {
		for (int posx = startposx; posx < ScreenSize.getx(); posx += BaseRadius) {
			filledCircleRGBA (renderer, posx, posy, rad, red, green, blue, alpha);
		}
	}
}
